Bulk Set User Roles
PUT
/tenant/{tenant}/user
const url = 'https://api.exolink.cloud/tenant/example/user';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '[{"id":"example","role":"example"}]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.exolink.cloud/tenant/example/user \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '[ { "id": "example", "role": "example" } ]'Set roles for multiple users
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenant
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Array<object>
object
id
User ID
string
role
User role
string
Examplegenerated
[ { "id": "example", "role": "example" }]Responses
Section titled “Responses”Roles updated successfully